# AutoNsScopeReset Class Reference

`#include <XQScopedNamespace.hpp>`

List of all members.

## Public Member Functions

| AutoNsScopeReset (StaticContext *context, xercesc::DOMXPathNSResolver *newResolver)
| ~AutoNsScopeReset ()

## Protected Attributes

StaticContext * | _context
const xercesc::DOMXPathNSResolver * | _oldNSResolver
const XMLCh * | _defaultElementAndTypeNS

## Constructor & Destructor Documentation

AutoNsScopeReset::AutoNsScopeReset | ( | StaticContext * | context,
|  | xercesc::DOMXPathNSResolver * | newResolver
| ) | `[inline]`

AutoNsScopeReset::~AutoNsScopeReset | ( |  | ) | `[inline]`

## Member Data Documentation

StaticContext* AutoNsScopeReset::_context `[protected]`

const XMLCh* AutoNsScopeReset::_defaultElementAndTypeNS `[protected]`

const xercesc:: DOMXPathNSResolver* AutoNsScopeReset::_oldNSResolver `[protected]`

The documentation for this class was generated from the following file:

- XQScopedNamespace.hpp